### Function

# Gimp brush_set_spikes

since: 2.4

#### Declaration [src]

    gint
    gimp_brush_set_spikes (
      const gchar* name,
      gint spikes_in
    )

#### Description [src]

Sets the number of spikes for a generated brush.

This procedure sets the number of spikes for a generated brush. If called for any other type of brush, it does not succeed.

Available since: 2.4

#### Parameters

`name`

  Type: `const gchar*`

  The brush name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`spikes_in`

  Type: `gint`

  The desired number of spikes.

#### Return value

Type: `gint`

The number of spikes actually assigned.